Python
from parallel import Parallel
client = Parallel()
# Event types: findall.candidate.generated, findall.candidate.matched,
# findall.candidate.unmatched, findall.candidate.discarded,
# findall.candidate.enriched
events = client.beta.findall.events(
findall_id="findall_56ccc4d188fb41a0803a935cf485c774",
)
for event in events:
print(f"Event [{event.type}]: {event.model_dump_json()}")import Parallel from "parallel-web";
const client = new Parallel();
// Event types: findall.candidate.generated, findall.candidate.matched,
// findall.candidate.unmatched, findall.candidate.discarded,
// findall.candidate.enriched
const events = await client.beta.findall.events("findall_56ccc4d188fb41a0803a935cf485c774");
for await (const event of events) {
console.log(`Event [${event.type}]: ${JSON.stringify(event)}`);
}HttpResponse<String> response = Unirest.get("https://api.parallel.ai/v1beta/findall/runs/{findall_id}/events")
.header("x-api-key", "<api-key>")
.asString();curl --request GET \
--url https://api.parallel.ai/v1beta/findall/runs/{findall_id}/events \
--header 'x-api-key: <api-key>'{
"type": "findall.candidate.generated",
"timestamp": "2025-09-10T21:02:08.626446Z",
"event_id": "56cee734dbc84172bfc491327f2a0183",
"data": {
"candidate_id": "candidate_52e1e30b-4e0a-49d8-82eb-79e64e0ed015",
"name": "Pika",
"url": "pika.art",
"description": "Pika is an AI video generation platform that creates and edits videos from text prompts or images.",
"match_status": "generated"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "FindAll run not found"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}FindAll
Stream FindAll Events
Stream events from a FindAll run.
Args: request: The Shapi request findall_id: The FindAll run ID last_event_id: Optional event ID to resume from. timeout: Optional timeout in seconds. If None, keep connection alive as long as the run is going. If set, stop after specified duration.
GET
/
v1beta
/
findall
/
runs
/
{findall_id}
/
events
Python
from parallel import Parallel
client = Parallel()
# Event types: findall.candidate.generated, findall.candidate.matched,
# findall.candidate.unmatched, findall.candidate.discarded,
# findall.candidate.enriched
events = client.beta.findall.events(
findall_id="findall_56ccc4d188fb41a0803a935cf485c774",
)
for event in events:
print(f"Event [{event.type}]: {event.model_dump_json()}")import Parallel from "parallel-web";
const client = new Parallel();
// Event types: findall.candidate.generated, findall.candidate.matched,
// findall.candidate.unmatched, findall.candidate.discarded,
// findall.candidate.enriched
const events = await client.beta.findall.events("findall_56ccc4d188fb41a0803a935cf485c774");
for await (const event of events) {
console.log(`Event [${event.type}]: ${JSON.stringify(event)}`);
}HttpResponse<String> response = Unirest.get("https://api.parallel.ai/v1beta/findall/runs/{findall_id}/events")
.header("x-api-key", "<api-key>")
.asString();curl --request GET \
--url https://api.parallel.ai/v1beta/findall/runs/{findall_id}/events \
--header 'x-api-key: <api-key>'{
"type": "findall.candidate.generated",
"timestamp": "2025-09-10T21:02:08.626446Z",
"event_id": "56cee734dbc84172bfc491327f2a0183",
"data": {
"candidate_id": "candidate_52e1e30b-4e0a-49d8-82eb-79e64e0ed015",
"name": "Pika",
"url": "pika.art",
"description": "Pika is an AI video generation platform that creates and edits videos from text prompts or images.",
"match_status": "generated"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "FindAll run not found"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Headers
Path Parameters
Response
Successful Response
- FindAllSchemaUpdatedEvent
- FindAllRunStatusEvent
- FindAllCandidateMatchStatusEvent
- ErrorEvent
Event containing full snapshot of FindAll run state.
Event type; always 'findall.schema.updated'.
Available options:
findall.schema.updated Allowed value:
"findall.schema.updated"Timestamp of the event.
Unique event identifier for the event.
Updated FindAll schema.
Show child attributes
Show child attributes